      MODULE allocatable_arrays

       INTEGER, DIMENSION(:), ALLOCATABLE :: kode_all
       REAL, DIMENSION(:,:), ALLOCATABLE :: bc_all
       REAL, DIMENSION(:,:), ALLOCATABLE :: XMATRIX

      END MODULE allocatable_arrays
